<?php
/*
Copyright (©) 2003-2013 Teus Benschop.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/


class Database_Commits
{

  private static $instance;
  private function __construct () {
  } 
  public static function getInstance () 
  {
    if (empty (self::$instance)) {
      self::$instance = new Database_Commits ();
    }
    return self::$instance;
  }


  public function optimize ()
  {
    $database_instance = Database_Instance::getInstance();
    $database_instance->runQuery ("REPAIR TABLE commits;");
    $database_instance->runQuery ("OPTIMIZE TABLE commits;");
  }


  public function record ($bible, $sha1)
  {
    $bible = Database_SQLInjection::no ($bible);
    $sha1 = Database_SQLInjection::no ($sha1);
    $query = "INSERT INTO commits VALUES (NULL, '$bible', '$sha1');";
    $database_instance = Database_Instance::getInstance();
    $database_instance->runQuery ($query);
  }


  public function get ($bible)
  {
    $bible = Database_SQLInjection::no ($bible);
    $commits = array ();
    $database_instance = Database_Instance::getInstance();
    $query = "SELECT sha1 FROM commits WHERE bible = '$bible';";
    $result = $database_instance->runQuery ($query);
    for ($i = 0; $i < $result->num_rows; $i++) {
      $row = $result->fetch_row ();
      $commits [] = $row [0];
    }
    return $commits;
  }
  
  
}



?>
